\environment entorn

\starttext

\startsubject[title={Problemes de proporcionalitat inversa}]

\startsubsubject[title={Preguntes}]

<%

exercicis = Hash.new

%>

<%# Exercici 1 %>
<%
exercicis[1] = Array.new

for i in (1...2)
	parametres = Hash.new
	parametres['a'] = rand(800..900)
	parametres['b'] = rand(1000..1200)
	parametres['c'] = rand(2..10)
	exercicis[1].push(parametres)
end
%>

\startexercici[reference=exercici-1]
<% exercicis[1].each do |par| %>
Un avió tarda $<%=par['c']%>$ hores en fer el seu recorregut anant a $<%=par['a']%> \unit{kilo meter per hour}$. Què tardaria si augmentés la seva velocitat a $<%=par['b']%> \unit{kilo meter per hour}$? Expresseu la resposta en hores, minuts i segons.
<% end %>
\stopexercici



<%# Exercici 2 %>
<%
exercicis[2] = Array.new

for i in (1...2)
	parametres = Hash.new
	  
	parametres['a'] = rand(2..10)
	parametres['b'] = rand(3..12)
	parametres['c'] = parametres['a'] + rand(2..10) + 1
	  
	exercicis[2].push(parametres)
end
%>


\startexercici[reference=exercici-2]
<% exercicis[2].each do |par| %>
$<%=par['a']%>$ màquines tarden $<%=par['b']%>$ hores en produir una capsa de perns. Què tardarien $<%=par['c']%>$ màquines idèntiques? Expresseu el resultat en hores, minuts i segons.
<% end %>
\stopexercici

\stopsubsubject

<%# ----------------------- Solucions ------------------------ %>
\page[yes]
\startsubsubject[title={Solucions}]

\startitemize

\sym{\in[exercici-1]}
<% exercicis[1].each do |par| %>
<%
segons = (par['c']*60*60*par['a']).to_f/(par['b'])
temps = Time.at(segons).utc.strftime("%H hores %M minuts %S segons")
%>
Tardaria, aproximadament, <%=temps%>.
<% end %>

\sym{\in[exercici-2]}
\startitemize[a, text]
<% exercicis[2].each do |par| %>
<%
segons = (par['a']*par['b']*60*60).to_f/(par['c'])
temps = Time.at(segons).utc.strftime("%H hores %M minuts %S segons")
%>
Tardarien, aproximadament, <%=temps%>.
<% end %>
\stopitemize

\stopitemize

\vfill
Les solucions d'aquests exercicis s'han calculat automàticament usant programari lliure: encara que totes les expressions són correctes, potser algunes es poden simplificar més.

\stopsubsubject

\stopsubject

\stoptext
